import unittest
from kathnny_respuesta import *

class test(unittest.TestCase):

    def test_type_conjugacionRespuesta(self):
        t = type(conjugacionRespuesta('play'))
        r = dict
        self.assertEqual(t,r)

    def test_type_traduccion(self):
        t = type(traduccion('play'))
        r = str
        self.assertEqual(t,r)

    def test_type_conjugacionVerbo(self):
        t = type(conjugacionVerbo('play'))
        r = dict
        self.assertEqual(t,r)

    def test_type_wordApiMix(self):
        t = type(wordApiMix('play'))
        r = dict
        self.assertEqual(t,r)

    def test_type_translatR(self):
        t = type(translatR('play'))
        r = dict
        self.assertEqual(t,r)

    def test_type_apiDolphin(self):
        t = type(apiDolphin('play'))
        r = str
        self.assertEqual(t,r)

    def test_response_conjugacionRespuesta(self):
        t = conjugacionRespuesta('play')
        r = {'palabraTraducida': 'Play',
             'definicion': [{'definition': 'contend against an opponent in a sport, game, or battle', 'partOfSpeech': 'verb'}, {'definition': 'pretend to have certain qualities or state of mind', 'partOfSpeech': 'verb'}, {'definition': "manipulate manually or in one's mind or imagination", 'partOfSpeech': 'verb'}, {'definition': 'a dramatic work intended for performance by actors on a stage', 'partOfSpeech': 'noun'}, {'definition': 'the act using a sword (or other weapon) vigorously and skillfully', 'partOfSpeech': 'noun'}, {'definition': 'a weak and tremulous light', 'partOfSpeech': 'noun'}, {'definition': 'gay or light-hearted recreational activity for diversion or amusement', 'partOfSpeech': 'noun'}, {'definition': 'activity by children that is guided more by imagination than by fixed rules', 'partOfSpeech': 'noun'}, {'definition': 'consider not very seriously', 'partOfSpeech': 'verb'}, {'definition': 'cause to happen or to occur as a consequence', 'partOfSpeech': 'verb'}, {'definition': 'replay (as a melody)', 'partOfSpeech': 'verb'}, {'definition': '(game) the activity of doing something in an agreed succession', 'partOfSpeech': 'noun'}, {'definition': 'perform on a stage or theater', 'partOfSpeech': 'verb'}, {'definition': 'stake on the outcome of an issue', 'partOfSpeech': 'verb'}, {'definition': 'an attempt to get something', 'partOfSpeech': 'noun'}, {'definition': 'a deliberate coordinated movement requiring dexterity and skill', 'partOfSpeech': 'noun'}, {'definition': 'engage in recreational activities rather than work; occupy oneself in a diversion', 'partOfSpeech': 'verb'}, {'definition': 'cause to emit recorded audio or video', 'partOfSpeech': 'verb'}, {'definition': 'movement or space for movement', 'partOfSpeech': 'noun'}, {'definition': 'behave carelessly or indifferently', 'partOfSpeech': 'verb'}, {'definition': 'the removal of constraints', 'partOfSpeech': 'noun'}, {'definition': 'engage in an activity as if it were a game rather than take it seriously', 'partOfSpeech': 'verb'}, {'definition': 'the act of playing for stakes in the hope of winning (including the payment of a price for a chance to win a prize)', 'partOfSpeech': 'noun'}, {'definition': "verbal wit or mockery (often at another's expense but not to be taken seriously)", 'partOfSpeech': 'noun'}, {'definition': '(in games or plays or other performances) the time during which play proceeds', 'partOfSpeech': 'noun'}, {'definition': 'play a role or part', 'partOfSpeech': 'verb'}, {'definition': 'act or have an effect in a specified way or with a specific effect or outcome', 'partOfSpeech': 'verb'}, {'definition': 'a preset plan of action in team sports', 'partOfSpeech': 'noun'}, {'definition': 'a state in which action is feasible', 'partOfSpeech': 'noun'}, {'definition': 'a theatrical performance of a drama', 'partOfSpeech': 'noun'}, {'definition': 'be at play; be engaged in playful activity; amuse oneself in a way characteristic of children', 'partOfSpeech': 'verb'}, {'definition': 'behave in a certain way', 'partOfSpeech': 'verb'}, {'definition': 'be performed or presented for public viewing', 'partOfSpeech': 'verb'}, {'definition': 'bet or wager (money)', 'partOfSpeech': 'verb'}, {'definition': 'cause to move or operate freely within a bounded space', 'partOfSpeech': 'verb'}, {'definition': 'discharge or direct or be discharged or directed as if in a continuous stream', 'partOfSpeech': 'verb'}, {'definition': 'emit recorded sound', 'partOfSpeech': 'verb'}, {'definition': 'employ in a game or in a specific position', 'partOfSpeech': 'verb'}, {'definition': 'exhaust by allowing to pull on the line', 'partOfSpeech': 'verb'}, {'definition': 'make bets', 'partOfSpeech': 'verb'}, {'definition': 'move or seem to move quickly, lightly, or irregularly', 'partOfSpeech': 'verb'}, {'definition': 'participate in games or sport', 'partOfSpeech': 'verb'}, {'definition': 'perform music on (a musical instrument)', 'partOfSpeech': 'verb'}, {'definition': 'perform on a certain location', 'partOfSpeech': 'verb'}, {'definition': 'play on an instrument', 'partOfSpeech': 'verb'}, {'definition': 'pretend to be somebody in the framework of a game or playful activity', 'partOfSpeech': 'verb'}, {'definition': 'put (a card or piece) into play during a game, or act strategically as if in a card game', 'partOfSpeech': 'verb'}, {'definition': 'shoot or hit in a particular manner', 'partOfSpeech': 'verb'}, {'definition': 'use or move', 'partOfSpeech': 'verb'}, {'definition': "use to one's advantage", 'partOfSpeech': 'verb'}, {'definition': 'utilization or exercise', 'partOfSpeech': 'noun'}],
             'conjugaciones': [['Infinitive', 'to play'], ['Simple Past', 'played'], ['Past Participle', 'played']],
             'apiIngles': 'No esta presente en el diccionario'}
        self.assertEqual(t, r)

    def test_response_traduccion(self):
        t = traduccion('play')
        r = 'Play'
        self.assertEqual(t, r)

    def test_response_conjugacionVerbo(self):
        t = conjugacionVerbo('play')
        r = {'result': 'OK',
             'conjugated_forms': [['Infinitive', 'to play'], ['Simple Past', 'played'], ['Past Participle', 'played']],
             'conjugation_tables': {'conditional': [{'heading': 'conditional present', 'forms': [['I', 'would play'], ['you', 'would play'], ['he/she/it', 'would play'], ['we', 'would play'], ['you', 'would play'], ['they', 'would play']]}, {'heading': 'conditional present progressive', 'forms': [['I', 'would be playing'], ['you', 'would be playing'], ['he/she/it', 'would be playing'], ['we', 'would be playing'], ['you', 'would be playing'], ['they', 'would be playing']]}, {'heading': 'conditional perfect', 'forms': [['I', 'would have played'], ['you', 'would have played'], ['he/she/it', 'would have played'], ['we', 'would have played'], ['you', 'would have played'], ['they', 'would have played']]}, {'heading': 'conditional perfect progressive', 'forms': [['I', 'would have been playing'], ['you', 'would have been playing'], ['he/she/it', 'would have been playing'], ['we', 'would have been playing'], ['you', 'would have been playing'], ['they', 'would have been playing']]}], 'indicative': [{'heading': 'simple present', 'forms': [['I', 'play'], ['you', 'play'], ['he/she/it', 'plays'], ['we', 'play'], ['you', 'play'], ['they', 'play']]}, {'heading': 'present progressive', 'forms': [['I', 'am playing'], ['you', 'are playing'], ['he/she/it', 'is playing'], ['we', 'are playing'], ['you', 'are playing'], ['they', 'are playing']]}, {'heading': 'present perfect', 'forms': [['I', 'have played'], ['you', 'have played'], ['he/she/it', 'has played'], ['we', 'have played'], ['you', 'have played'], ['they', 'have played']]}, {'heading': 'present perfect progressive', 'forms': [['I', 'have been playing'], ['you', 'have been playing'], ['he/she/it', 'has been playing'], ['we', 'have been playing'], ['you', 'have been playing'], ['they', 'have been playing']]}, {'heading': 'simple past', 'forms': [['I', 'played'], ['you', 'played'], ['he/she/it', 'played'], ['we', 'played'], ['you', 'played'], ['they', 'played']]}, {'heading': 'past progressive', 'forms': [['I', 'was playing'], ['you', 'were playing'], ['he/she/it', 'was playing'], ['we', 'were playing'], ['you', 'were playing'], ['they', 'were playing']]}, {'heading': 'past perfect', 'forms': [['I', 'had played'], ['you', 'had played'], ['he/she/it', 'had played'], ['we', 'had played'], ['you', 'had played'], ['they', 'had played']]}, {'heading': 'past perfect progressive', 'forms': [['I', 'had been playing'], ['you', 'had been playing'], ['he/she/it', 'had been playing'], ['we', 'had been playing'], ['you', 'had been playing'], ['they', 'had been playing']]}, {'heading': 'simple future', 'forms': [['I', 'will play'], ['you', 'will play'], ['he/she/it', 'will play'], ['we', 'will play'], ['you', 'will play'], ['they', 'will play']]}, {'heading': 'future progressive', 'forms': [['I', 'will be playing'], ['you', 'will be playing'], ['he/she/it', 'will be playing'], ['we', 'will be playing'], ['you', 'will be playing'], ['they', 'will be playing']]}, {'heading': 'future perfect', 'forms': [['I', 'will have played'], ['you', 'will have played'], ['he/she/it', 'will have played'], ['we', 'will have played'], ['you', 'will have played'], ['they', 'will have played']]}, {'heading': 'future perfect progressive', 'forms': [['I', 'will have been playing'], ['you', 'will have been playing'], ['he/she/it', 'will have been playing'], ['we', 'will have been playing'], ['you', 'will have been playing'], ['they', 'will have been playing']]}], 'passive': [{'heading': 'passive simple present', 'forms': [['I', 'am played'], ['you', 'are played'], ['he/she/it', 'is played'], ['we', 'are played'], ['you', 'are played'], ['they', 'are played']]}, {'heading': 'passive present progressive', 'forms': [['I', 'am being played'], ['you', 'are being played'], ['he/she/it', 'is being played'], ['we', 'are being played'], ['you', 'are being played'], ['they', 'are being played']]}, {'heading': 'passive present perfect', 'forms': [['I', 'have been played'], ['you', 'have been played'], ['he/she/it', 'has been played'], ['we', 'have been played'], ['you', 'have been played'], ['they', 'have been played']]}, {'heading': 'passive present perfect progressive', 'forms': [['I', 'have been being played'], ['you', 'have been being played'], ['he/she/it', 'has been being played'], ['we', 'have been being played'], ['you', 'have been being played'], ['they', 'have been being played']]}, {'heading': 'passive simple past', 'forms': [['I', 'was played'], ['you', 'were played'], ['he/she/it', 'was played'], ['we', 'were played'], ['you', 'were played'], ['they', 'were played']]}, {'heading': 'passive past progressive', 'forms': [['I', 'was being played'], ['you', 'were being played'], ['he/she/it', 'was being played'], ['we', 'were being played'], ['you', 'were being played'], ['they', 'were being played']]}, {'heading': 'passive past perfect', 'forms': [['I', 'had been played'], ['you', 'had been played'], ['he/she/it', 'had been played'], ['we', 'had been played'], ['you', 'had been played'], ['they', 'had been played']]}, {'heading': 'passive past perfect progressive', 'forms': [['I', 'had been being played'], ['you', 'had been being played'], ['he/she/it', 'had been being played'], ['we', 'had been being played'], ['you', 'had been being played'], ['they', 'had been being played']]}, {'heading': 'passive simple future', 'forms': [['I', 'will be played'], ['you', 'will be played'], ['he/she/it', 'will be played'], ['we', 'will be played'], ['you', 'will be played'], ['they', 'will be played']]}, {'heading': 'passive future progressive', 'forms': [['I', 'will be being played'], ['you', 'will be being played'], ['he/she/it', 'will be being played'], ['we', 'will be being played'], ['you', 'will be being played'], ['they', 'will be being played']]}, {'heading': 'passive future perfect', 'forms': [['I', 'will have been played'], ['you', 'will have been played'], ['he/she/it', 'will have been played'], ['we', 'will have been played'], ['you', 'will have been played'], ['they', 'will have been played']]}, {'heading': 'passive future perfect progressive', 'forms': [['I', 'will have been being played'], ['you', 'will have been being played'], ['he/she/it', 'will have been being played'], ['we', 'will have been being played'], ['you', 'will have been being played'], ['they', 'will have been being played']]}]}}
        self.assertEqual(t, r)

    def test_response_wordApiMix(self):
        t = wordApiMix('play')
        r = {'definition': ['contend against an opponent in a sport, game, or battle', 'pretend to have certain qualities or state of mind', "manipulate manually or in one's mind or imagination", 'a dramatic work intended for performance by actors on a stage', 'the act using a sword (or other weapon) vigorously and skillfully', 'a weak and tremulous light', 'gay or light-hearted recreational activity for diversion or amusement', 'activity by children that is guided more by imagination than by fixed rules', 'consider not very seriously', 'cause to happen or to occur as a consequence', 'replay (as a melody)', '(game) the activity of doing something in an agreed succession', 'perform on a stage or theater', 'stake on the outcome of an issue', 'an attempt to get something', 'a deliberate coordinated movement requiring dexterity and skill', 'engage in recreational activities rather than work; occupy oneself in a diversion', 'cause to emit recorded audio or video', 'movement or space for movement', 'behave carelessly or indifferently', 'the removal of constraints', 'engage in an activity as if it were a game rather than take it seriously', 'the act of playing for stakes in the hope of winning (including the payment of a price for a chance to win a prize)', "verbal wit or mockery (often at another's expense but not to be taken seriously)", '(in games or plays or other performances) the time during which play proceeds', 'play a role or part', 'act or have an effect in a specified way or with a specific effect or outcome', 'a preset plan of action in team sports', 'a state in which action is feasible', 'a theatrical performance of a drama', 'be at play; be engaged in playful activity; amuse oneself in a way characteristic of children', 'behave in a certain way', 'be performed or presented for public viewing', 'bet or wager (money)', 'cause to move or operate freely within a bounded space', 'discharge or direct or be discharged or directed as if in a continuous stream', 'emit recorded sound', 'employ in a game or in a specific position', 'exhaust by allowing to pull on the line', 'make bets', 'move or seem to move quickly, lightly, or irregularly', 'participate in games or sport', 'perform music on (a musical instrument)', 'perform on a certain location', 'play on an instrument', 'pretend to be somebody in the framework of a game or playful activity', 'put (a card or piece) into play during a game, or act strategically as if in a card game', 'shoot or hit in a particular manner', 'use or move', "use to one's advantage", 'utilization or exercise'],
             'partOfSpeech': ['v', 'e', 'r', 'b', 'n', 'o', 'u'],
             'synonyms': ['encounter', 'meet', 'take on', 'act', 'act as', 'diddle', 'fiddle', 'toy', 'drama', 'dramatic play', 'swordplay', 'shimmer', 'caper', 'frolic', 'gambol', 'romp', "child's play", 'dally', 'trifle', 'bring', 'make for', 'work', 'wreak', 'spiel', 'turn', 'playact', 'roleplay', 'bet', 'wager', 'bid', 'maneuver', 'manoeuvre', 'recreate', 'run', 'looseness', 'flirt', 'free rein', 'gambling', 'gaming', 'fun', 'sport', 'period of play', 'playing period', 'represent'],
             'inCategory': ['drama', 'game', 'theatre', 'dramatic art', 'dramaturgy', 'theater', 'dramatics', 'performing arts', 'music'],
             'typeOf': ['act', 'behave', 'do', 'manipulate', 'dramatic work', 'dramatic composition', 'action', 'alteration', 'modification', 'change', 'recreation', 'diversion', 'consider', 'deal', 'take', 'look at', 'make', 'create', 're-create', 'activity', 'perform', 'gamble', 'endeavour', 'attempt', 'effort', 'endeavor', 'try', 'motion', 'movement', 'move', 'movableness', 'movability', 'freedom', 'vice', 'humor', 'humour', 'wittiness', 'witticism', 'wit', 'amount', 'measure', 'quantity', 'plan of action', 'activeness', 'show', 'displace', 'discharge', 'sound', 'apply', 'utilize', 'utilise', 'use', 'employ', 'tucker', 'exhaust', 'beat', 'tucker out', 'wash up', 'wager', 'bet', 'go', 'travel', 'locomote', 'vie', 'compete', 'contend', 'sham', 'simulate', 'feign', 'assume', 'deploy', 'hit', 'exploit', 'work', 'employment', 'utilization', 'exercise', 'utilisation', 'usage'],
             'hasTypes': ['replay', 'confront', 'face', 'put out', 'retire', 'theater of the absurd', 'morality play', 'satyr play', 'grand guignol', 'passion play', 'playlet', 'miracle play', 'mystery play', 'fencing', 'indulgence', 'dalliance', 'teasing', 'horseplay', 'lunacy', 'craziness', 'flirt', 'flirtation', 'flirting', 'folly', 'toying', 'foolery', 'tomfoolery', 'coquetry', 'word play', 'game', 'doctor', 'fireman', 'house', 'reprise', 'repeat', 'rag', 'prelude', 'reprize', 'riff', 'recapitulate', 'bang out', 'tongue', 'modulate', 'misplay', 'slur', 'jazz', 'bugle', 'fiddle', 'innings', 'trick', 'trumping', 'move', 'start', 'down', 'starting', 'at-bat', 'lead', 'bat', 'ruff', 'attack', 'stooge', 'mime', 'overact', 'overplay', 'pantomime', 'underplay', 'underact', 'ham it up', 'ham', 'raise', 'see', 'stake', 'gage', 'punt', 'bet on', 'back', 'trap play', 'mousetrap', 'icing', 'figure', 'shot', 'pass completion', 'assist', 'stroke', 'obstruction', 'ball hawking', 'baseball play', 'takeaway', 'blitz', 'completion', 'linebacker blitzing', 'jugglery', 'icing the puck', 'footwork', 'safety blitz', 'slackness', 'slack', 'wiggliness', 'wager', 'gambling game', 'throw', 'game of chance', 'sporting life', 'bet', 'punning', 'clowning', 'comedy', 'waggery', 'pun', 'waggishness', 'wordplay', 'jocularity', 'paronomasia', 'jocosity', 'drollery', 'funniness', 'golf hole', 'set', 'hole', 'emote', 'act out', 'impersonate', 'portray', 'make believe', 'parody', 'support', 'pretend', 'enact', 'make', 'reenact', 'razzle-dazzle', 'razzmatazz', 'power play', 'razmataz', 'football play', 'basketball play', 'razzle', 'knock on', 'musical theater', 'curtain raiser', 'musical', 'musical comedy', 'frisk', 'lark about', 'lark', 'horse around', 'dabble', 'sport', 'splash around', 'gambol', 'cavort', 'arse around', 'skylark', 'run around', 'frolic', 'paddle', 'rollick', 'disport', 'fool', 'fool around', 'roughhouse', 'romp', 'debut', 'line up', 'die', 'play out', 'teeter-totter', 'bowl', 'gamble', 'bandy', 'walk', 'bid', 'golf', 'teetertotter', 'tee off', 'curl', 'croquet', 'develop', 'volley', 'cricket', 'nail', 'cradle', 'quarterback', 'seesaw', 'putt', 'complete', 'unblock', 'revoke', 'exit', 'catch', 'face off', 'ace', 'field', 'call', 'bully off', 'foul', 'snooker', 'backstop', 'fullback', 'fumble', 'drum', 'register', 'clarion', 'chord', 'harp', 'beat', 'trumpet', 'skirl', 'pipe', 'tweedle', 'strike up', 'accompany', 'symphonize', 'sound off', 'symphonise', 'swing', 'play along', 'follow', 'busk', 'bow', 'cover', 'pitch', 'declare', 'hook', 'promote'],
             'verbGroup': ['behave', 'represent', 'act', 'do', 'dally', 'flirt', 'toy', 'work', 'execute', 'run', 'trifle', 'act as', 'roleplay', 'playact', 'recreate', 'take on', 'meet', 'encounter', 'wager', 'bet', 'spiel'], 'derivation': ['playing', 'playlet', 'player'], 'examples': ['Princeton plays Yale this weekend', 'Charlie likes to play Mary', 'She plays deaf when the news are bad', 'She played nervously with her wedding ring', 'He played with the idea of running for the Senate', 'he wrote several plays but only one was produced on Broadway', 'the play of light on the water', 'it was all done in play', 'Freud believed in the utility of play to a small child', 'She plays with the thought of moving to Tasmania', 'play a joke', 'She played the third movement very beautifully', 'it is still my play', 'She acts in this play', "I played in `A Christmas Carol'", 'She played all her money on the dark horse', 'they made a futile play for power', 'the runner was out on a play by the shortstop', 'On weekends I play', "I'll play you my favorite record", 'He never tires of playing that video', 'there was too much play in the steering wheel', "they gave full play to the artist's talent", 'They played games on their opponents', 'play the stock market', 'play with her feelings', 'there was heavy play at the blackjack table', 'rain stopped play in the 4th inning', 'Gielgud played Hamlet', "She played the servant to her husband's master", 'This factor played only a minor part in his decision', 'This development played into her hands', 'I played no role in your dismissal', 'the coach drew up the plays for her team', 'the ball was still in play', "insiders said the company's stock was in play", 'the play lasted two hours', 'The kids were playing outside all day', 'I used to play with trucks as a little girl', 'play safe', 'play it safe', 'play fair', "What's playing in the local movie theater?", "`Cats' has been playing on Broadway for many years", 'He played $20 on the new horse', 'She plays the races', 'The engine has a wheel that is playing in a rack', 'play water from a hose', 'The fountains played all day', 'The tape was playing for hours', 'the stereo was playing Beethoven when I entered', 'They played him on first base', 'play a hooked fish', 'play the casinos in Trouville', 'The spotlights played on the politicians', 'We played hockey all afternoon', 'play cards', 'Pele played for the Brazilian teams in many important matches', 'He plays the flute', 'Can you play on this old recorder?', 'The prodigy played Carnegie Hall at the age of 16', 'She has been playing on Broadway for years', 'The band played all night long', "Let's play like I am mommy", 'He is playing his cards close to his chest', 'The Democrats still have some cards to play before they will concede the electoral victory', 'She played a good backhand last night', 'I had to play my queen', "She plays on her clients' emotions", 'the play of the imagination']}
        self.assertEqual(t, r)

    def test_response_translatR(self):
        t = translatR('play')
        r = {'results': [{'result': [{'word type': 'null,verb', 'text': 'jugar a algo', 'English Example': 'I like to play cards with my friends.', 'Spanish Example': 'Me gusta jugar a las cartas con mis amigos.'}, {'word type': 'null,verb', 'text': 'desempeñar', 'English Example': "Parents play an important role in a child's life.", 'Spanish Example': 'Los padres desempeñan un papel importante en la vida de un niño.'}, {'word type': 'null,verb', 'text': 'reproducir algo', 'English Example': 'The teacher played the documentary on the screen.', 'Spanish Example': 'El profesor reprodujo el documental en la pantalla.'}, {'word type': 'null,verb', 'text': 'tocar', 'English Example': 'I am learning to play piano.', 'Spanish Example': 'Estoy aprendiendo a tocar el piano.'}, {'word type': 'null,verb', 'text': 'representar', 'English Example': 'The actress became famous playing a historic figure.', 'Spanish Example': 'La actriz se volvió famosa representando a un personaje histórico.'}, {'word type': 'null,verb', 'text': 'juguetear', 'English Example': 'The girl played with her hair while she spoke.', 'Spanish Example': 'La chica jugueteaba con su pelo mientras hablaba.'}, {'word type': 'null,verb', 'text': 'interpretar', 'English Example': 'The actor has played many roles.', 'Spanish Example': 'El actor ha interpretado muchos papeles.'}, {'word type': 'null,verb', 'text': 'hacer de algo/algn.'}, {'word type': 'null,verb', 'text': 'participar'}, {'word type': 'null,verb', 'text': 'correr'}, {'word type': 'null,verb', 'text': 'actuar'}, {'word type': 'null,verb', 'text': 'poner'}, {'word type': 'null,verb', 'text': 'ejecutar'}, {'word type': 'null,verb', 'text': 'disputar'}, {'word type': 'null,verb', 'text': 'competir'}, {'word type': 'null,verb', 'text': 'emitir algo'}, {'word type': 'null,verb', 'text': 'dirigir'}, {'word type': 'null,verb', 'text': 'ejercer algo'}, {'word type': 'null,verb', 'text': 'mover'}, {'word type': 'null,verb', 'text': 'sonar'}, {'word type': 'null,verb', 'text': 'encarnar a algo/algn.'}, {'word type': 'null,verb', 'text': 'bromear'}, {'word type': 'null,verb', 'text': 'fingir'}, {'word type': 'null,verb', 'text': 'apostar'}], 'source': 'Linguee'}, {'result': [{'meaning': 'No meaning was found for this word.'}], 'source': 'Ingles Aplicado'}, {'result': [{'translatedText': 'Jugar'}], 'source': 'Google Translate'}],
             'status': 'OK'}
        self.assertEqual(t, r)

    def test_response_apiDolphin(self):
        t = apiDolphin('play')
        r = 'No esta presente en el diccionario'
        self.assertEqual(t, r)

if __name__ == "__main__":
    unittest.main()


